'use client';

// src/components/Toast/assets.tsx
import { ErrorIcon, InfoIcon1, SuccessIcon, WarningIcon1 } from "@paalan/react-icons";
import { jsx } from "react/jsx-runtime";
var bars = Array(12).fill(0);
var Loader = ({ visible }) => {
  return /* @__PURE__ */ jsx("div", { className: "toast-loading-wrapper", "data-visible": visible, children: /* @__PURE__ */ jsx("div", { className: "toast-spinner", children: bars.map((_, i) => /* @__PURE__ */ jsx("div", { className: "toast-loading-bar" }, `spinner-bar-${i}`)) }) });
};
var getAsset = (type) => {
  switch (type) {
    case "success":
      return /* @__PURE__ */ jsx(SuccessIcon, {});
    case "error":
      return /* @__PURE__ */ jsx(ErrorIcon, {});
    case "warning":
      return /* @__PURE__ */ jsx(WarningIcon1, {});
    case "info":
      return /* @__PURE__ */ jsx(InfoIcon1, {});
    default:
      return null;
  }
};
export {
  Loader,
  getAsset
};
